Follow

Can I Use Internet Explorer 9?

Have more questions? Submit a request.

As of March 31, 2016, Decision Lens will no longer support Internet Explorer 9. Our end of support of Internet Explorer 9 was made as a result of Microsoft's recent announcement that it will no longer provide security updates for this browser.

If you wish to use Internet Explorer with Decision Lens, please upgrade to Internet Explorer 10 or Internet Explorer 11.

Was this article helpful?
1 out of 1 found this helpful

Comments

Powered by Zendesk